# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ax-handler-table"
version = "0.3.7"
authors = ["Yuekai Jia <equation618@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A lock-free table of event handlers"
readme = "README.md"
keywords = [
    "arceos",
    "event",
    "lock-free",
]
categories = ["no-std"]
license = "Apache-2.0"
repository = "https://github.com/rcore-os/tgoskits"

[lib]
name = "ax_handler_table"
path = "src/lib.rs"

[dependencies]
